<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="hero">
            <h2><span jhiTranslate="lunaheroesApp.hero.detail.title">Hero</span> {{ hero.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="lunaheroesApp.hero.heroName">Hero Name</span></dt>
                <dd>
                    <span>{{ hero.heroName }}</span>
                </dd>
                <dt><span jhiTranslate="lunaheroesApp.hero.age">Age</span></dt>
                <dd>
                    <span>{{ hero.age }}</span>
                </dd>
                <dt><span jhiTranslate="lunaheroesApp.hero.gender">Gender</span></dt>
                <dd>
                    <span jhiTranslate="{{ 'lunaheroesApp.Gender.' + hero.gender }}">{{ hero.gender }}</span>
                </dd>
                <dt><span jhiTranslate="lunaheroesApp.hero.notes">Notes</span></dt>
                <dd>
                    <span>{{ hero.notes }}</span>
                </dd>
                <dt><span jhiTranslate="lunaheroesApp.hero.signs">Signs</span></dt>
                <dd>
                    <span>{{ hero.signs }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/hero', hero.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
            </button>
        </div>
    </div>
</div>
